//---------------------------------------------------------------------------

#ifndef uSKiloutouH
#define uSKiloutouH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
//---------------------------------------------------------------------------
#include "CLocation.h"
#include "CKiloutouClient.h"

#include "CCamion.h"
#include "CPelleteuse.h"
#include "CTondeuse.h"



//fenetre
//-------
#include "vSaisieType.h"
#include "CStatistique.h"

#include <Db.hpp>
#include <IBDatabase.hpp>
#include <IBCustomDataSet.hpp>
#include <IBTable.hpp>
#include <IBQuery.hpp>
#include <DBCtrls.hpp>
#include <DBGrids.hpp>
#include <Grids.hpp>
#include <Buttons.hpp>
#include <Menus.hpp>
#include <ExtCtrls.hpp>
#include <Graphics.hpp>
//---------------------------------------------------------------------------

class TuEcran : public TForm
{
__published:	// Composants gérés par l'EDI
    TGroupBox *GroupBox1;
    TLabel *Label8;
    TGroupBox *gbFicheCaracteristique;
    TEdit *eNomMachine;
    TLabel *Label3;
    TLabel *Label1;
    TMemo *mDescription;
    TEdit *ePrix;
    TLabel *lPrix;
    TEdit *ePoidsTotal;
    TLabel *lPoidsTotal;
    TLabel *lVitesse;
    TEdit *eVitesse;
    TButton *bAjouter;
    TButton *bModifier;
    TButton *bSupprimerMateriel;
    TEdit *ePoidsTransportable;
    TLabel *lPoidsTransportable;
    TDBGrid *lbMateriels;
    TButton *bFermerCarac;
    TMainMenu *mmKiloutou;
    TMenuItem *Quiter1;
    TPanel *Panel2;
    TGroupBox *GroupBox2;
    TLabel *Label7;
    TLabel *Label6;
    TLabel *Label2;
    TLabel *Label11;
    TButton *bAjouterClient;
    TEdit *ePrenom;
    TEdit *eNomClient;
    TEdit *eAge;
    TDBGrid *lbClients;
    TButton *bModifierClient;
    TButton *bSupprimerClient;
    TSplitter *Splitter1;
    TGroupBox *Panel1;
    TButton *bAjouterLocation;
    TButton *bRetourLocation;
    TDBGrid *lbLocation;
    TButton *bStatistique;
    TImage *Image1;
    TMenuItem *Quitter1;
    TMenuItem *Database1;
    TMenuItem *TableLocation1;
    TMenuItem *TableMatriel1;
    TMenuItem *TableClient1;
    TMenuItem *N1;
    TMenuItem *Apropos1;
    TMenuItem *Caractristiques1;
    TMenuItem *Siteinternet1;
    void __fastcall bAjouterClientClick(TObject *Sender);
    void __fastcall bSupprimerClientClick(TObject *Sender);
    void __fastcall bModifierClientClick(TObject *Sender);
    void __fastcall bAjouterClick(TObject *Sender);
    void __fastcall bAjouterLocationClick(TObject *Sender);
    void __fastcall bRetourLocationClick(TObject *Sender);
    void __fastcall bModifierClick(TObject *Sender);
    void __fastcall bSupprimerMaterielClick(TObject *Sender);
    void __fastcall bFermerCaracClick(TObject *Sender);
    void __fastcall bStatistiqueClick(TObject *Sender);
    void __fastcall lbClientsDblClick(TObject *Sender);
    void __fastcall TableLocation1Click(TObject *Sender);
    void __fastcall TableClient1Click(TObject *Sender);
    void __fastcall TableMatriel1Click(TObject *Sender);
    void __fastcall Quitter1Click(TObject *Sender);
    void __fastcall Apropos1Click(TObject *Sender);
    void __fastcall Caractristiques1Click(TObject *Sender);
    void __fastcall Siteinternet1Click(TObject *Sender);
    
private:	// Déclarations utilisateur
public:		// Déclarations utilisateur
    __fastcall TuEcran(TComponent* Owner);
    __fastcall ~TuEcran();
};
//---------------------------------------------------------------------------
extern PACKAGE TuEcran *uEcran;
//---------------------------------------------------------------------------
#endif
